import java.io.IOException;
import java.io.OutputStreamWriter;
import java.io.Writer;

import org.apache.pdfbox.pdmodel.PDDocument;
import org.apache.pdfbox.util.PDFTextStripper;

public class MyExtractText {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		Writer output = new OutputStreamWriter(System.out);
		PDDocument document = null;

		try {
			document = PDDocument.load("sampleinput.pdf", false);
		} catch (IOException e) {
			e.printStackTrace();
			return;
		}
		PDFTextStripper stripper = null;
		try {
			stripper = new PDFTextStripper("UTF-8");
		} catch (IOException e) {
			e.printStackTrace();
			return;
		}
		try {
			stripper.writeText(document, output);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
